config/routes.rb
AlteredBeast::Application.routes.draw do
  get '/session' => "sessions#create", :as => 'open_id_complete'

  resources :sites, :moderatorships, :monitorship

  resources :forums do
    resources :topics do
      resources :posts
      resource :monitorship
    end
    resources :posts
  end

  resources :posts do
    get :search, :on => :collection
  end
  resources :users do
    member do
      put :suspend, :make_admin, :unsuspend
      get :settings
      delete :purge
    end
    resources :posts, :only => [:index] do
#      get :monitored, :on => :collection, :shallow => true
    end
  end
  match '/users/:user_id/monitored(.:format)' => 'posts#monitored', :as => 'monitored_posts'

  match '/activate/:activation_code' => 'users#activate', :activation_code => nil, :as => 'activate'
  match '/signup' => 'users#new', :as => 'signup'
  match '/settings' => 'users#settings', :as => 'settings'
  match '/login' => 'sessions#new', :as => 'login'
  match '/logout' => 'sessions#destroy', :as => 'logout'
  match '/itex'  => 'itex#index'
  delete '/monitorship/:forum_id/:topic_id' => 'monitorships#destroy', :as => 'monitorship' 
  match '/monitorship/:forum_id/:topic_id' => 'monitorships#create', :as => 'monitorship' 

  resource  :session

  root :to => 'forums#index'
end

app/views/layouts/_footer.html.erb
<p class="disclaim">
  <strong>
  <% if site = current_site || Site.first %>
    <%= site.tagline %>
  <% end %>
  </strong>
</p>
<p style="clear:left;float:left;">
  <%= I18n.t 'txt.footer_message', :default => "Two's company. Three's a forum. More's a Beast." %>
</p>
<p class="credit">
  <%= I18n.t('txt.powered_by', :default => 'Powered by') %> <a href="http://golem.ph.utexas.edu/~distler/code/heterotic_beast.git">Heterotic Beast</a><br />
  &#xa9; 2006&#x2013;2013 <a href="http://www.workingwithrails.com/person/5337-josh-goebel" class="subtle">Josh Goebel</a>,
  <a href="https://github.com/courtenay" class="subtle">Courtenay Gasking</a>, 
  <a href="http://techno-weenie.net/about" class="subtle">Rick Olson</a> <%= I18n.t 'txt.and', :default => 'and' %>
  <a href="http://golem.ph.utexas.edu/~distler/blog/">Jacques Distler</a>
</p>

app/views/layouts/_head.html.erb
<ul id="nav">
  <li><%= link_to I18n.t('txt.forums', :default => 'Forums'), root_path, :rel => 'home' %></li>
  <li><%= link_to I18n.t('txt.users', :default => 'Users'), users_path %></li>
  <li id="search">
    <%= form_tag posts_path, :method => 'get' do %>
      <%= text_field_tag :q, @q, :size => 15, :id => :search_box %>
    <% end %>
  </li>
  <li><%= link_to_function I18n.t('txt.search', :default => 'Search'), "", :href => root_path, :id => 'search-link' %></li>

  <% if current_site and logged_in? %>
  <li class="login"><%=  link_to current_user.display_name, user_path(current_user) %></li>
  <li class="logout"><%= link_to I18n.t('txt.settings', :default => 'Settings'), settings_path %></li>
  <li class="logout"><%= link_to I18n.t('txt.logout', :default => 'Logout'), logout_path(:to => CGI.escape(request.fullpath)) %></li>
  <% else %>
  <li><%= link_to I18n.t('txt.signup', :default => 'Signup'), signup_path(:to => CGI.escape(request.fullpath)) %></li>
  <li><%= link_to I18n.t('txt.login', :default => 'Login'), login_path(:to => CGI.escape(request.fullpath)) %></li>
  <% end %>
</ul>
<% name = (site = current_site || Site.first) && site.name %>
<h1><%= render 'layouts/svg_logo' %><%= link_to name || I18n.t('txt.beast_title', :default => 'Altered Beast'), root_path %></h1>

app/views/layouts/_svg_logo.html.erb
<span id="svg_logo"><svg id="svg_logo_svg" version="1.1" width="100%" height="100%" viewBox='0 0 180 185' xmlns='http://www.w3.org/2000/svg'>
      <path transform="scale(5)" id="svg_logo_path" fill="gold" stroke="#000" stroke-width="0.1" d="
        m14.29,1.47c1.91,1.09 -1.19,7.13 1.25,7.81c2.44,0.69 2,-4.03 2.75,-5.56c0.75,-1.53
        2.25,-4.38 5.25,-2.81c3,1.56 -5.63,11.31 -4.56,12.5c1.06,1.19 3.31,-3.31 5.19,-5.63c1.88,
        -2.31 4.81,-5.19 6.88,-2.37c2.06,2.81 -5.31,5.94 -4.75,7.56c0.56,1.63 7.19,-3.12 8.5,
        0.25c1.31,3.38 -4.88,5.75 -8.25,5.25c-3.38,-0.5 -5.13,-0.5 -5.25,0.5c-0.13,1 3.13,1 7.75,1.25c4.63,
        0.25 5.63,1.5 5.5,3.13c-0.13,1.63 -2.25,2.88 -4.13,2.5c-1.88,-0.38 -4.31,-2.31 -5.38,-0.75c-1.06,
        1.56 1.75,1.81 3.25,3c1.5,1.19 1.81,2.56 0.5,4.25c-1.31,1.69 -6.31,-1.38 -7.63,-3.63c-1.31,
        -2.25 -0.56,-5.06 -2.13,-4.75c-1.56,0.31 -0.75,2.38 0.63,6.13c1.38,3.75 3.63,6.13 0.63,6.63
        c-3,0.5 -4.69,-4 -5.31,-7.75c-0.63,-3.75 0.06,-4.88 -1.31,-5.25c-1.38,-0.38 -1.63,2.75 -1.13,
        6.13c0.5,3.38 1.75,6.63 -1.38,6.13c-3.13,-0.5 -3.08,-3.17 -2.5,-5.17c0.58,-2 0.83,
        -3.29 0.25,-3.71c-0.58,-0.42 -5.21,3.42 -6.71,1.04c-1.5,-2.38 2.06,-4.65
        5.21,-4.79c3.15,-0.15 4.13,-2 3.63,-2.81c-0.5,-0.81 -4.56,1.56 -6.38,0.81c-1.81,-0.75
        -4.94,-1.52 -3.75,-4.38c1.19,-2.85 5.94,1.5 6.75,0.31c0.81,-1.19 -1,-2.56 -2.63,-4.56c-1.63,
        -2 -2.25,-4.94 0.40,-5.65c2.65,-0.71 5.23,5.27 6.48,7.65c1.25,2.38 5.19,6.5 5.38,4.88
        c0.19,-1.63 -2.81,-3.69 -3.94,-6.06c-1.12,-2.37 -3.30,-9.19 -2.17,-10.83c1.14,
        -1.65 2.14,-2.01 3.10,-1.26"/>
    </svg></span>

app/views/layouts/application.html.erb
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1"/>
    <title><%= current_site && current_site.name || I18n.t('txt.beast_title', :default => 'Altered Beast') %><%= " - " + @page_title if @page_title %></title>
    <%= favicon_link_tag %>
    <%= stylesheet_link_tag 'application' %>
    <%= javascript_include_tag 'application' %>
<script type="text/x-mathjax-config">
<!--//--><![CDATA[//><!--
  MathJax.Ajax.config.path["Contrib"] = "<%= asset_path 'MathJax' %>";
  MathJax.Hub.Config({
    MathML: { useMathMLspacing: true },
    "HTML-CSS": { scale: 90,
                  noReflows: false,
                  extensions: ["handle-floats.js"]
     }
  });
  MathJax.Hub.Queue( function () {
     var fos = document.getElementsByTagName('foreignObject');
     for (var i = 0; i < fos.length; i++) {
       MathJax.Hub.Typeset(fos[i]);
     }
  });
//--><!]]>
</script>
<script type="text/javascript">
  <!--//--><![CDATA[//><!--
  window.addEventListener("DOMContentLoaded", function () {
    var div = document.createElement('div');
    var math = document.createElementNS('http://www.w3.org/1998/Math/MathML', 'math');
    document.body.appendChild(div);
    div.appendChild(math);
  // Test for MathML support comparable to WebKit version https://trac.webkit.org/changeset/203640 or higher.
    div.setAttribute('style', 'font-style: italic');
    var mathml_unsupported = !(window.getComputedStyle(div.firstChild).getPropertyValue('font-style') === 'normal');
    div.parentNode.removeChild(div);
    if (mathml_unsupported) {
      // MathML does not seem to be supported...
      var s = document.createElement('script');
      s.src = "<%= asset_path 'MathJax/MathJax.js' %>?config=MML_HTMLorMML";
      document.querySelector('head').appendChild(s);
    } else {
      document.head.insertAdjacentHTML("beforeend", '<style>svg[viewBox] {max-width: 100%}</style>');
    }
  });
  //--><!]]>
</script>
    <% @feed_icons.each do |feed| %>
    <%= auto_discovery_link_tag :atom, feed[:url], :title => "Subscribe to '#{feed[:title]}'" %>
    <% end if @feed_icons.present? %>
    <link rel="search" type="application/opensearchdescription+xml" href="http://<%= request.host_with_port %>/open_search.xml" />
    <%= csrf_meta_tag %>
  </head>
  <body xmlns:se='http://svg-edit.googlecode.com' xmlns:xlink='http://www.w3.org/1999/xlink'>
    <div id="header">
      <%= render "layouts/head" %>
    </div>

    <div id="container">
      <div id="content">
        <%= flash_messages %>
        <%= yield %>
      </div>

      <div id="right">
        <%= yield(:right) %>
      </div>

      <br style="clear:both;" />
    </div>

    <div id="footer">
      <%= render "layouts/footer" %>
      <br style="clear:both;" />
    </div>
  </body>
</html>